Subject: bug#10636: closed (Re: bug#10636: chown verbose option (-v) reports incorrect retained owner:group)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 29 Jan 2012 10:13:02 +0000

Your bug report

#10636: chown verbose option (-v) reports incorrect retained owner:group

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10636: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10636
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10636: chown verbose option (-v) reports incorrect retained owner:group
From: Jim Meyering <[email-masked]>
To: Tero Nieminen <[email-masked]>
Cc: [email-masked]
Date: Sun, 29 Jan 2012 11:12:42 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 10636 notabug
thanks

...
> Thank you for noticing and reporting that bug.
> You guessed it.  It is specific to Fedora's version of chown.
> I.e., when I try to reproduce it with the chown from stock
> coreutils-8.15, it works as expected.

Oh, and since it's not an upstream bug, I'm marking it as such
and closing its ticket.

Subject: chown verbose option (-v) reports incorrect retained owner:group
From: Tero Nieminen <[email-masked]>
To: [email-masked]
Date: Sun, 29 Jan 2012 03:17:40 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I just noticed that when I use chown like this:

chown -hRv --from=500:500 1000:1000 nnn (as root)

it prints incorrect information on retained owner:group, like this:

ownership of `nnn/lost+found' retained as 1000:1000

Ie. instead of printing the actual retained owner and group (in this 
case root:root) it seems to incorrectly print the owner:group I was 
trying to change to.

Is this maybe a bug in Gnu-coreutils/chown or just in the particular 
version (8.12) shipped with Fedora 16 (coreutils-8.12-2.fc16.x86_64)?

I could Only found a single non-bug for chown in debbugs.gnu.org (maybe 
I just don't know how to search ;).

If this is fixed or nonexistent in GNU-coreutils, I'll file the bug to 
Fedora.

-- 
Tero Nieminen
[email-masked]